.status-icon-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.status-icon {
  font-size: 8px;
  font-weight: 800;
  width: 12px;
  height: 12px;
  background-color: var(--container-border-color);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.async-icon {
  font-size: 12px;
  font-weight: 800;
  width: 12px;
  height: 12px;
  background-color: var(--container-border-color);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.capsule {
  width: 100%;
  background-color: white;
  border-color: var(--container-border-color);
  border-style: solid;
  border-radius: 5px;
  border-width: 0;
  margin: 1px 3px 1px 1px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  &.selected {
    background-color: var(--current-workspace-selected-row-color);
  }

  &:hover {
    background-color: var(--current-workspace-hovered-row-color);
  }

  .remote-sync-failed {
    color: red;
  }
}

.container-capsule {
  border-width: 1px;

  .name {
    font-size: 14px;
    font-weight: 500;
  }
}

.external-capsule {
  width: 100%;
  margin: 1px 3px 1px 1px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  .capsule-left-color-indicator {
    border-color: var(--container-border-color);
    border-style: solid;
    border-width: 1px 0 1px 0;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    width: 6px;
  }

  .inner-capsule {
    border-color: var(--container-border-color);
    border-style: solid;
    border-width: 1px 1px 1px 0;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    background-color: white;
    display: flex;
    justify-content: flex-start;
    align-items: center;

    &:hover {
      background-color: var(--current-workspace-hovered-row-color);
    }

    &.selected {
      background-color: var(--current-workspace-selected-row-color);
    }

    .name.synchronized {
      color: #6f6f6f;
    }
  }
}

.entity {
  width: 100%;
  margin: 1px 3px 1px 1px;
  border-radius: 5px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  .name {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 600;
  }

  &.selected {
    background-color: var(--current-workspace-selected-row-color);
  }

  &:hover {
    background-color: var(--current-workspace-hovered-row-color);
  }
}

.white-background {
  background-color: white;
}

.custom-field {
  filter: brightness(180%) saturate(60%);
}
